Logo Site EngageLab Full Black
联系销售

推送校验 API

功能说明

该 API 只验证推送请求,不向用户发送消息。请求参数与 创建推送 API 相同。

调用地址

POST /v4/push/validate
              
              POST /v4/push/validate

            
此代码块在浮窗中显示

调用验证

鉴权方式请参见 REST API 概述。

请求示例

POST /v4/push/validate HTTP/1.1 Content-Type: application/json Authorization: Basic <base64(appKey:appSecret)>
              
              POST /v4/push/validate HTTP/1.1
Content-Type: application/json
Authorization: Basic <base64(appKey:appSecret)>

            
此代码块在浮窗中显示

请求体

{ "from": "push", "to": "all", "body": { "platform": "web", "notification": { "alert": "Hi,MTPush !", "web": { "alert": "Hi,MTPush !", "title": "web_push", "url": "http://www.google.com", "extras": { "web-key1": "web-value1" } } } }, "request_id": "12345678", "custom_args": { "business": "info" } }
              
              {
    "from": "push",
    "to": "all",
    "body": {
        "platform": "web",
        "notification": {
            "alert": "Hi,MTPush !",
            "web": {
              "alert": "Hi,MTPush !",
                "title": "web_push",
                "url": "http://www.google.com",
                "extras": {
                    "web-key1": "web-value1"
                }
            }
        }
    },
    "request_id": "12345678",
    "custom_args": {
        "business": "info"
    }
}

            
此代码块在浮窗中显示

返回示例

{ "request_id": "18", "msg_id": "1828256757" }
              
              {
  "request_id": "18",
  "msg_id": "1828256757"
}

            
此代码块在浮窗中显示
Icon Solid Transparent White Qiyu
联系销售